Subject: commit --strict feature request

From: Dario Bertini <[email-masked]>
Date: Tue, 23 Mar 2010 18:47:16 +0100

Hi, i usually use bzr, and today i was searching for a commit --strict 
equivalent in git... i asked around and it seems there isn't one, so i'm 
writing this.

basically, by doing commit --strict it refuses to commit if there are 
untracked (and thus not ignored) files in the tree, this helps against 
forgetting to add new files (actually i find it so useful that i've even 
changed commit to be an alias to commit --strict in my bzr aliases )

greetings